Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.portal.context
Class WebMapContextFactory

    java.lang.Object
      org.deegree.portal.context.WebMapContextFactory

    public class WebMapContextFactory

extends Object

Factory class for creating an instance of a web map Context (`ViewContext`). The factory is able to parse deegree specific extensions (General and Layer) as well as standard web map context documents.

Version:
  $Revision: 23790 $, $Date: 2010-04-23 14:22:04 +0200 (Fr, 23. Apr 2010) $
Author:
  Andreas Poth, last edited by: $Author: jmays $

Constructor Summary
`WebMapContextFactory()`

Method Summary
`static ViewContext` | `createViewContext(URL url, User user, String sessionID)` creates an instance of a ViewContext from the web map context document read from the passed URL
`static ViewContext` | `createViewContext(XMLFragment xml, User user, String sessionID)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WebMapContextFactory

    public WebMapContextFactory()

Method Detail

### createViewContext

    public static ViewContext createViewContext(URL url,
                                                User user,
                                                String sessionID)
                                         throws IOException,
                                                XMLParsingException,
                                                ContextException,
                                                SAXException,
                                                UnknownCRSException

  creates an instance of a ViewContext from the web map context document read from the passed URL

  Parameters:
    `url` -
    `user` -
    `sessionID` -
  Returns:
    new ViewContext for web map context document from `url`
  Throws:
    `IOException`
    `XMLParsingException`
    `ContextException`
    `SAXException`
    `UnknownCRSException`

### createViewContext

    public static ViewContext createViewContext(XMLFragment xml,
                                                User user,
                                                String sessionID)
                                         throws IOException,
                                                XMLParsingException,
                                                ContextException,
                                                UnknownCRSException

  Parameters:
    `xml` -
    `user` -
    `sessionID` -
  Returns:
    new ViewContext for web map context document from `xml`
  Throws:
    `IOException`
    `XMLParsingException`
    `ContextException`
    `UnknownCRSException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org